# $Revision: 1.8 $, $Date: 2009/09/15 07:12:49 $
#
# Conditional build:
%bcond_without  autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTTP
%define		pnam	Proxy
Summary:	A pure Perl HTTP proxy
Summary(pl.UTF-8):	Proxy HTTP zaimplementowany w czystym Perlu
Name:		perl-%{pdir}-%{pnam}
Version:	0.24
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a3c3b7df0339c0251c952a6fc00da5e8
URL:		http://search.cpan.org/dist/HTTP-Proxy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(HTTP::Daemon) >= 1.25
BuildRequires:	perl(LWP::UserAgent) >= 2
BuildRequires:	perl-libwww >= 1.25
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a HTTP proxy, using a HTTP::Daemon to accept
client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%description -l pl.UTF-8
Ten moduł implementuje proxy HTTP, używając HTTP::Daemon do
przyjmowania połączeń klienckich i LWP::UserAgent do pobierania
żądanych stron.

Najciekawszą opcją tego obiektu proxy jest możliwość filtrowania
zapytań i odpowiedzi HTTP poprzez filtry definiowane przez
użytkownika.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTTP/Proxy.pm
%{perl_vendorlib}/HTTP/Proxy
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-Proxy.spec,v $
Revision 1.8  2009/09/15 07:12:49  amateja
- updated to 0.24

Revision 1.7  2007/12/24 02:13:14  zbyniu
- up to 0.20

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.4  2006/02/05 00:15:30  qboosh
- files fix

Revision 1.3  2006/02/05 00:02:31  qboosh
- descs, BRs

Revision 1.2  2006/02/04 14:17:44  glen
- License: tag needs license name(s)

Revision 1.1  2006/02/04 14:03:43  japhy
- New spec (rel 0.1)
- Some included tests don't pass, have no time to figure out why
